API Reference
Log In
API Reference

List Invoices by Team

Retrieve a paginated list of invoices for a team. Filter by any of the query parameters below.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The invoice number

string

Filter start date/time in ISO 8601 format.

string

Filter end date/time in ISO 8601 format.

userIds
array of strings

Filter by a list of user IDs.

userIds
organizationIds
array of strings

Filter by a list of consuming organization IDs.

organizationIds
productIds
array of strings

Filter by a list of product IDs.

productIds
int64
≥ 0

Filter by a starting amount.

int64
≥ 0

Filter by an ending amount.

string

Filter by a specific account ID.

string

Filter by account name.

string

Filter by account number.

payStates
array of strings

Filter by invoice pay state(s). Accepts a single value or a comma-separated list.

payStates
Allowed:
states
array of strings

Filter by invoice state(s). Accepts a single value or a comma-separated list.

states
Allowed:
string
required

ID of the team that owns this data.

integer
≥ 0
Defaults to 0

Zero-based page index (0..N)

integer
≥ 1
Defaults to 10

The size of the page to be returned

sort
array of strings

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

sort
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/hal+json
*/*